org.apache.geode.admin

## Interface ConfigurationParameter

- Deprecated.
  as of 7.0 use the `management` package instead

      public interface ConfigurationParameter

  A single configuration parameter of a `SystemMember`.
  Since:
    GemFire 3.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Deprecated. Gets the full description of this configuration parameter
    `java.lang.String` | `getName()` Deprecated. Gets the identifying name of this configuration parameter.
    `java.lang.Object` | `getValue()` Deprecated. Gets the current value
    `java.lang.String` | `getValueAsString()` Deprecated. Gets the current value as a string
    `java.lang.Class` | `getValueType()` Deprecated. Gets the class type of the value
    `boolean` | `isArray()` Deprecated. Returns true if this config parameter uses a string array for value.
    `boolean` | `isFile()` Deprecated. Returns true if this config parameter represents a File value.
    `boolean` | `isInetAddress()` Deprecated. Returns true if this config parameter represents an InetAddress value.
    `boolean` | `isModifiable()` Deprecated. True if this is modifiable; false if read-only
    `boolean` | `isOctal()` Deprecated. Returns true if this config parameter represents an octal value.
    `boolean` | `isString()` Deprecated. Returns true if this config parameter represents a string value.
    `void` | `setValue(java.lang.Object value)` Deprecated. Sets a new value for this configuration parameter.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Deprecated.
      Gets the identifying name of this configuration parameter.

    - #### getDescription

          java.lang.String getDescription()

      Deprecated.
      Gets the full description of this configuration parameter

    - #### getValue

          java.lang.Object getValue()

      Deprecated.
      Gets the current value

    - #### getValueAsString

          java.lang.String getValueAsString()

      Deprecated.
      Gets the current value as a string

    - #### getValueType

          java.lang.Class getValueType()

      Deprecated.
      Gets the class type of the value

    - #### isModifiable

          boolean isModifiable()

      Deprecated.
      True if this is modifiable; false if read-only

    - #### isArray

          boolean isArray()

      Deprecated.
      Returns true if this config parameter uses a string array for value.

    - #### isInetAddress

          boolean isInetAddress()

      Deprecated.
      Returns true if this config parameter represents an InetAddress value.

    - #### isFile

          boolean isFile()

      Deprecated.
      Returns true if this config parameter represents a File value.

    - #### isOctal

          boolean isOctal()

      Deprecated.
      Returns true if this config parameter represents an octal value.

    - #### isString

          boolean isString()

      Deprecated.
      Returns true if this config parameter represents a string value.

    - #### setValue

          void setValue(java.lang.Object value)
                 throws UnmodifiableConfigurationException

      Deprecated.
      Sets a new value for this configuration parameter.
      Parameters:
        `value` - the new value which must be of type `getValueType()`
      Throws:
        `java.lang.IllegalArgumentException` - if value type does not match `getValueType()`
        `UnmodifiableConfigurationException` - if attempting to set value when isModifiable is false